#
# spec file for package perl-Apache-Language (Version 0.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl-I18N-LangTags perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-I18N-LangTags perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-Language
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-Language
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI perl-I18N-LangTags
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.14
Release:      166
Source:       Apache-Language-0.14.tar.gz 
Summary:      Perl transparent language support for Apache
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
The goal of this module is to provide a simple way for mod_perl module
writers to include support for multiple language requests.  An
Apache::Language object acts like a language-aware hash.  It stores
key/language/values triplets. Using the Accept- Language: field sent
by the web-client, it can pick the best fit language for that specific
client.  It's usage is transparent and should prove to be quite
convenient (and hopefully, efficient).  The method used to store/fetch
information is now completely modular and will allow easy creation of
new storage methods thru a simple API.

Authors:
--------
    Philippe M. Chiasson <gozer@ectoplasm.dyndns.com>

SuSE series: perl

%prep 
%setup -n Apache-Language-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
#make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/Language/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man3/Apache::Language::Constants.3pm.gz
%doc %{_mandir}/man3/Apache::Language::PlainFile.3pm.gz
%doc %{_mandir}/man3/Apache::Language::DBI.3pm.gz
%doc %{_mandir}/man3/Apache::Language.3pm.gz
%{perl_sitearch}/auto/Apache/Language/
%{perl_sitearch}/Apache/Language.pm
%{perl_sitearch}/Apache/Language.pod
%{perl_sitearch}/Apache/Language/
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-Language
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Nov 22 2000 - ro@suse.de
- fixed spec
* Tue Nov 21 2000 - rolf@suse.de
- extract from perlmod package
- update to version 0.14
